summary refs log tree commit diff
path: root/x11-wm
diff options
context:
space:
mode:
authorazahi <azahi@teknik.io>2019-11-03 13:58:47 +0300
committerazahi <azahi@teknik.io>2019-11-03 13:58:47 +0300
commita9252919a7fbc036eb861cc551b3097c4393d931 (patch)
treea69e6cfd66d6d057be577fad4b89911bd0863cc8 /x11-wm
parentdev-libs/libwm: Add package (diff)
x11-wm/wmutils: Remove stale ebuilds, bump version, add a live ebuild
Diffstat (limited to 'x11-wm')
-rw-r--r--x11-wm/wmutils/Manifest2
-rw-r--r--x11-wm/wmutils/wmutils-1.4.ebuild26
-rw-r--r--x11-wm/wmutils/wmutils-1.5.ebuild40
-rw-r--r--x11-wm/wmutils/wmutils-9999.ebuild40
4 files changed, 81 insertions, 27 deletions
diff --git a/x11-wm/wmutils/Manifest b/x11-wm/wmutils/Manifest
index 9ac3a8c..4dca51f 100644
--- a/x11-wm/wmutils/Manifest
+++ b/x11-wm/wmutils/Manifest
@@ -1 +1 @@
-DIST wmutils-1.4.tar.gz 10333 BLAKE2B fcb339ab70323f95a7984ad62dbc62a87bfb9d37d06754d3b82bd2ae644a1cb7bdd5d7224a8f2e0d36b9ea44678613e5a16556bae3664a950590b2162cf44c3b SHA512 cdecde223e812494752d877e0e010c0cc7c1ef96e0f9aab7c517f2112f189943c84f958fb2ac4da7068ae2c5e463fe38ec783567ef980d8e63f5d299d746aee9
+DIST wmutils-1.5.tar.gz 10893 BLAKE2B 80c64a1415a12d4e128f638a1b0cde7d9d9deb98b0ecddef1424415ecc070ecb64ba10f59f9252ac7f0cefd420da9084a9ff4fd9f1b5a61072ca3b0623a2d31a SHA512 24989f53f9b42b927d285c25bcf25e09d89347b2d53232683c5de07318a4e3e535b87590bfcdd31309e63e1f0e85f6cdf8db7c32b039db883d6240bb210c78c2
diff --git a/x11-wm/wmutils/wmutils-1.4.ebuild b/x11-wm/wmutils/wmutils-1.4.ebuild
deleted file mode 100644
index b6635bb..0000000
--- a/x11-wm/wmutils/wmutils-1.4.ebuild
+++ /dev/null
@@ -1,26 +0,0 @@
-# Copyright 1999-2018 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-DESCRIPTION="Set of window manipulation tools"
-HOMEPAGE="https://github.com/wmutils/core"
-SRC_URI="https://github.com/wmutils/core/archive/v${PV}.tar.gz -> ${P}.tar.gz"
-
-LICENSE="ISC"
-SLOT="0"
-KEYWORDS="~amd64"
-IUSE=""
-
-DEPEND="x11-libs/libxcb"
-RDEPEND="${DEPEND}"
-
-S="${WORKDIR}/core-${PV}"
-
-src_prepare() {
-	default
-
-	sed -e 's/\/man/\/share\/man/' -i config.mk || die
-
-	sed -e 's/\-Os//' -i config.mk || die
-}
diff --git a/x11-wm/wmutils/wmutils-1.5.ebuild b/x11-wm/wmutils/wmutils-1.5.ebuild
new file mode 100644
index 0000000..c5eea5f
--- /dev/null
+++ b/x11-wm/wmutils/wmutils-1.5.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} == *9999 ]]; then
+	SCM="git-r3"
+	EGIT_REPO_URI="https://github.com/wmutils/core"
+fi
+
+inherit ${SCM}
+
+DESCRIPTION="Set of window manipulation tools"
+HOMEPAGE="https://github.com/wmutils/core"
+
+if [[ ${PV} == *9999 ]]; then
+	SRC_URI=""
+	KEYWORDS=""
+else
+	SRC_URI="https://github.com/wmutils/core/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="ISC"
+SLOT="0"
+IUSE=""
+
+DEPEND="x11-libs/libxcb"
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+if [[ ${PV} != *9999 ]]; then
+	S="${WORKDIR}/core-${PV}"
+fi
+
+src_prepare() {
+	default
+
+	sed -e 's/\/man/\/share\/man/' -i config.mk || die
+}
diff --git a/x11-wm/wmutils/wmutils-9999.ebuild b/x11-wm/wmutils/wmutils-9999.ebuild
new file mode 100644
index 0000000..c5eea5f
--- /dev/null
+++ b/x11-wm/wmutils/wmutils-9999.ebuild
@@ -0,0 +1,40 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+if [[ ${PV} == *9999 ]]; then
+	SCM="git-r3"
+	EGIT_REPO_URI="https://github.com/wmutils/core"
+fi
+
+inherit ${SCM}
+
+DESCRIPTION="Set of window manipulation tools"
+HOMEPAGE="https://github.com/wmutils/core"
+
+if [[ ${PV} == *9999 ]]; then
+	SRC_URI=""
+	KEYWORDS=""
+else
+	SRC_URI="https://github.com/wmutils/core/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+	KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="ISC"
+SLOT="0"
+IUSE=""
+
+DEPEND="x11-libs/libxcb"
+RDEPEND="${DEPEND}"
+BDEPEND=""
+
+if [[ ${PV} != *9999 ]]; then
+	S="${WORKDIR}/core-${PV}"
+fi
+
+src_prepare() {
+	default
+
+	sed -e 's/\/man/\/share\/man/' -i config.mk || die
+}

Consider giving Nix/NixOS a try! <3